This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 985821 - test failing on big endians
test failing on big endians
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: R-IRanges (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pierre-YvesChibon
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-07-18 06:19 EDT by Dan Horák
Modified: 2014-08-25 06:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-25 06:25:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2013-07-18 06:19:33 EDT
A test is failing on big endian platforms like ppc and s390

from build.log
...
See 'Writing portable packages' in the 'Writing R Extensions' manual.
* checking installed files from 'inst/doc' ... OK
* checking examples ... OK
* checking for unstated dependencies in tests ... OK
* checking tests ...
  Running 'IRanges_unit_tests.R'
 ERROR
Running the tests in 'tests/IRanges_unit_tests.R' failed.
Last 13 lines of output:
  IRanges RUnit Tests - 137 test functions, 0 errors, 1 failure
  FAILURE in test_Rle_runsum_real: Error in checkIdentical(target1, current) : FALSE 
  
  Test files with failing tests
  
     test_Rle.R 
       test_Rle_runsum_real 
  
  
  Error in BiocGenerics:::testPackage("IRanges") : 
    unit tests failed for package IRanges
  Calls: <Anonymous> -> <Anonymous>
  Execution halted
RPM build errors:


Version-Release number of selected component (if applicable):
R-IRanges-1.18.0-2.fc19.1

for full logs please see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1102340 or http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=1231584
Comment 1 Pierre-YvesChibon 2013-09-05 02:40:36 EDT
Do you think you could bring this upstream?
Comment 2 Pierre-YvesChibon 2014-08-25 06:05:40 EDT
Is this problem still present in the current version?
Comment 3 Dan Horák 2014-08-25 06:16:41 EDT
versions >= 1.20 seems be OK on s390 and ppc
Comment 4 Pierre-YvesChibon 2014-08-25 06:25:43 EDT
Cool, thanks! :)

Let's close then

Note You need to log in before you can comment on or make changes to this bug.